org.apache.maven.artifact.manager

## Class WagonConfigurationException

- java.lang.Object
- - TransferFailedException
  - - org.apache.maven.artifact.manager.WagonConfigurationException

-     public class WagonConfigurationException
      extends TransferFailedException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WagonConfigurationException(java.lang.String repositoryId, java.lang.String message)`
    `WagonConfigurationException(java.lang.String repositoryId, java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOriginalMessage()`
    `java.lang.String` | `getRepositoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WagonConfigurationException

          public WagonConfigurationException(java.lang.String repositoryId,
                                     java.lang.String message,
                                     java.lang.Throwable cause)

    - #### WagonConfigurationException

          public WagonConfigurationException(java.lang.String repositoryId,
                                     java.lang.String message)

  - ### Method Detail

    - #### getRepositoryId

          public final java.lang.String getRepositoryId()

    - #### getOriginalMessage

          public final java.lang.String getOriginalMessage()